package com.liquidnet.common.third.zxlnft.dto.nft;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: BusinessLicenseUploadReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:22
 */
@Data
public class Nft004BusinessLicenseUploadResp implements Serializable {
    /**
     * 图片id
     */
    private Integer id;

    private static final Nft004BusinessLicenseUploadResp obj = new Nft004BusinessLicenseUploadResp();
    public static Nft004BusinessLicenseUploadResp getNew() {
        try {
            return (Nft004BusinessLicenseUploadResp) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft004BusinessLicenseUploadResp();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
